Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232520 - CVE-2007-1218 tcpdump denial of service
Summary: CVE-2007-1218 tcpdump denial of service
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tcpdump
Version: 3.8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jan Synacek
QA Contact:
URL:
Whiteboard: impact=low,source=full-disclosure,rep...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 22:03 UTC by Fabio Olive Leite
Modified: 2012-04-27 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 19:37:58 UTC


Attachments (Terms of Use)

Description Fabio Olive Leite 2007-03-15 22:03:18 UTC
+++ This bug was initially created as a clone of Bug #232347 +++

A potential denial of service flaw due to a single byte overflow was found in
the way tcpdump processes 802.11 packets:
http://seclists.org/fulldisclosure/2007/Mar/0003.html

The upstream patch is here:
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-802_11.c?r1=1.42&r2=1.43

From inspecting our packages it seems that the initial, incorrect test isn't
even present, which still leaves our packages vulnerable to this flaw.

-- Additional comment from bressers@redhat.com on 2007-03-14 17:12 EST --
This flaw also affects RHEL 3 and RHEL4.  The code in question is not present in
RHEL 2.1

Comment 1 Fabio Olive Leite 2007-03-15 22:04:33 UTC
Can we get this into 3.9?

Comment 7 Fabio Olive Leite 2012-04-27 19:37:58 UTC
Closing after years of inactivity.


Note You need to log in before you can comment on or make changes to this bug.